Page MenuHomePhabricator

[Regression] Recent changes udp/irc feed for log actions changed
Closed, ResolvedPublic

Description

Since earlier today, StewardBot has been unable to report steward actions.

Upon further investigation, the problem lies with the RC reporting, see example:

Action taken (from meta log): 20:39 . . Snowolf (talk | contribs | block) changed status for global account "User:Snowolf on rails@global": Set locked; Unset (none) ‎(test)

Report as from the IRC channel: [1339:31] rc-pmtpa [[Special:Log/globalauth]] setstatus * Snowolf *


Version: 1.22.0
Severity: critical

Details

Reference
bz53720

Event Timeline

bzimport raised the priority of this task from to Unbreak Now!.Nov 22 2014, 1:47 AM
bzimport set Reference to bz53720.
Snowolf created this task.Sep 3 2013, 8:43 PM

So this report is about the change of format in the RC feed?

Hmm look at the format, it's missing stuff rather than being changed. It's missing the target user, the change in status... it's weird.

The reporting format for logging actions is supposed to be frozen until the entire stream is deprecated and replaced with something more modern.

It is not supposed to be changed.

I can't confirm this, but if this is true, this needs change needs to be rolled back ASAP as this affects countervandalism efforts significants (as in, the tools are unable to interpret the events because either they are malformed, incomplete, absent or incompatibly changed).

Confirming that there's a bug.

[05:04:21 PM] <@rc-pmtpa> [[Special:Log/globalauth]] setstatus * Snowolf *

The log should include what account the "setstatus" affected, and what the status was set to. I'm not sure if this is a bug in core itself or in CentralAuth. Normal logs like block and protect are showing up fine.

(In reply to comment #3)

The reporting format for logging actions is supposed to be frozen until the
entire stream is deprecated and replaced with something more modern.

It is not supposed to be changed.

That might've been relevant if this was a deliberate change. Clearly it was not

[05:31:23 PM] <@rc-pmtpa> [[Special:Log/import]] upload * Jalexander *

Core entries are broken too.

Change 82558 had a related patch set uploaded by Alex Monk:
Fix recent changes IRC feed

https://gerrit.wikimedia.org/r/82558

Change 82559 had a related patch set uploaded by Ori.livneh:
Fix typo in property name

https://gerrit.wikimedia.org/r/82559

Change 82558 merged by jenkins-bot:
Fix typo in property name

https://gerrit.wikimedia.org/r/82558

Change 82559 merged by Ori.livneh:
Fix typo in property name

https://gerrit.wikimedia.org/r/82559

This has been fixed (and deployed to the WMF cluster by Ori). Sorry for the disruption

Restricted Application added subscribers: Jay8g, TerraCodes. · View Herald TranscriptJan 11 2017, 11:29 PM